## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJInitializer

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode<T>
              org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember<org.eclipse.jdt.core.dom.Initializer>
                  org.eclipse.emf.codegen.merge.java.facade.ast.ASTJInitializer

All Implemented Interfaces:
  JInitializer, JMember, JNode

    public class ASTJInitializer

extends ASTJMember<org.eclipse.jdt.core.dom.Initializer>
implements JInitializer

Wraps `Initializer` object.

Since:
  2.2.0

Field Summary
`protected java.lang.String` `body` Cached body of initializer

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`comment`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode
`isCommentedOut, name, rewriter, UNITIALIZED_STRING`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`ASTJInitializer(org.eclipse.jdt.core.dom.Initializer initializer)`

Method Summary
`protected java.lang.String` `computeQualifiedName()`
`void` `dispose()`
`java.lang.String` `getBody()` Returns the body of this initializer.
`java.lang.String` `getName()` Returns value from `AbstractJNode.getName(JInitializer)`
`void` `setBody(java.lang.String body)` Sets the body of this initializer.
`void` `setName(java.lang.String name)` This implementation does nothing.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`addChild, getAnnotationList, getChildren, getComment, getFlags, insertLastAnnotation, insertSibling, remove, setComment, setFlags`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode

`addValueToListProperty, addValueToListProperty, ancestorInserted, ancestorToBeRemoved, childToBeChanged, combineArrayAndList, commentOut, convertASTNodeListToStringArray, disableTrackAndReplace, enableTrackAndReplace, getASTNode, getContents, getFacadeHelper, getParent, getRemovedASTNode, getRewriter, getWrappedObject, insert, insertFirst, insertLast, isDisposed, nodeToBeMoved, nodeToBeRemoved, remove, removeNodeFromListProperty, removeTrackAndReplace, setASTNode, setFacadeHelper, setListNodeProperty, setNodeProperty, setNodeProperty, setParent, setRemovedASTNode, setRewriter, setTrackedNodeProperty, setWrappedObject, trackAndReplace`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getParent, getQualifiedName, setFlags`

Field Detail

### body

    protected java.lang.String body

  Cached body of initializer

  See Also:
    `getBody()`, `setBody(String)`

Constructor Detail

### ASTJInitializer

    public ASTJInitializer(org.eclipse.jdt.core.dom.Initializer initializer)

Parameters:
  `initializer` -

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ASTJMember<org.eclipse.jdt.core.dom.Initializer>`

### getName

    public java.lang.String getName()

  Returns value from `AbstractJNode.getName(JInitializer)`

  Specified by:
    `getName` in interface `JNode`
  Returns:
    the name, or `null` if it has no name
  See Also:
    `JNode.getName()`

### setName

    public void setName(java.lang.String name)

  This implementation does nothing.

  Specified by:
    `setName` in interface `JNode`
  See Also:
    `JNode.setName(java.lang.String)`

### computeQualifiedName

    protected java.lang.String computeQualifiedName()

  Overrides:
    `computeQualifiedName` in class `AbstractJNode`

### getBody

    public java.lang.String getBody()

  Description copied from interface: `JInitializer`
  Returns the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7).

  Specified by:
    `getBody` in interface `JInitializer`
  Returns:
    an initializer body, including braces, or `null` if no body is present

### setBody

    public void setBody(java.lang.String body)

  Description copied from interface: `JInitializer`
  Sets the body of this initializer. The syntax for a body corresponds to InstanceInitializer (JLS2 8.6) and StaticDeclaration (JLS2 8.7). No formatting or syntax checking is performed on the body. Braces must be included.

  Specified by:
    `setBody` in interface `JInitializer`
  Parameters:
    `body` - an initializer body, including braces, or `null` indicating no body

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.